This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 107376 - kernel 2.6.0-0.test7.1.57smp reversed ethernet device scan (e1000)
kernel 2.6.0-0.test7.1.57smp reversed ethernet device scan (e1000)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-17 12:01 EDT by Guenther Seybold
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-04 23:22:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
actual results for 2.6.0-0.test7.1.57smp (6.59 KB, text/plain)
2003-10-17 12:07 EDT, Guenther Seybold
no flags Details
expected results (2.4.20-8smp) (5.61 KB, text/plain)
2003-10-17 12:09 EDT, Guenther Seybold
no flags Details

  None (edit)
Description Guenther Seybold 2003-10-17 12:01:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
On a system with 2 ethernet interfaces (e1000 driver), the names eth0 and eth1
have exchanged their meaning (compared to 2.4.20-8).
The physical interface which used to be eth0 is now called eth1, and vice versa.
This makes the network configuration cumbersome if you want to switch kernels.

In our example, the interface in PCI slot 03:07.0 (IRQ 30), with the MAC address
00:07:E9:04:52:3E was called eth1 in 2.4.20-8.
The interface in PCI slot 03:07.1 (IRQ 31), MAC 00:07:E9:04:52:3F was called
eth0 in 2.4.20-8.

In 2.6.0-0.test7.1.57smp the names eth1 and eth0 are inverted.

Is this a bug or a feature?

Version-Release number of selected component (if applicable):
kernel-2.6.0-0.test7.1.57smp

How reproducible:
Always

Steps to Reproduce:
1.check network interfaces in 2.4.20-8
2.reboot 2.6.0-0.test7.1.57smp
3.check network interfaces again.
    

Actual Results:  eth0      Link encap:Ethernet  HWaddr 00:07:E9:04:52:3E
eth1      Link encap:Ethernet  HWaddr 00:07:E9:04:52:3F

Expected Results:  eth0      Link encap:Ethernet  HWaddr 00:07:E9:04:52:3F
eth1      Link encap:Ethernet  HWaddr 00:07:E9:04:52:3E

Additional info:
Comment 1 Guenther Seybold 2003-10-17 12:07:35 EDT
Created attachment 95267 [details]
actual results for 2.6.0-0.test7.1.57smp
Comment 2 Guenther Seybold 2003-10-17 12:09:55 EDT
Created attachment 95268 [details]
expected results (2.4.20-8smp)
Comment 3 Guenther Seybold 2003-10-20 10:50:01 EDT
Sorry, I should have read http://www.codemonkey.org.uk/post-halloween-2.5.txt
before submitting this issue...:
- Users of boxes with >1 NIC may find that for eg, eth0 and eth1 refer to
  the opposites of what they did in 2.4.   This is a bug that will be fixed
  before 2.6.0.  One option (or management workaround) for this is to use
  'nameif' to name Ethernet interfaces.  There is a HOWTO for doing this at
  <http://xenotime.net/linux/doc/network-interface-names.txt>
Comment 4 Guenther Seybold 2003-12-01 07:12:05 EST
Problem is fixed in 2.6.0-0.test11.1.99smp

Note You need to log in before you can comment on or make changes to this bug.